package com.github.gkutiel.filter;

import java.io.IOException;

public abstract class Resource extends Filter {

	private final String mimeType;

	public Resource(final String mimeType) {
		this.mimeType = mimeType;
	}

	@Override
	final public void apply() {
		try {
			res.setContentType(mimeType);
			res.getOutputStream().write(bytes());
		} catch (final IOException e) {
			throw new RuntimeException(e);
		}
	}

	public abstract byte[] bytes();

}
