package com.github.gkutiel.filter;

import java.io.UnsupportedEncodingException;

public abstract class Textual extends Resource {
	private static final byte[] EMPTY = {};

	public Textual(final String mimeType) {
		super(mimeType);
	}

	@Override
	final public byte[] bytes() {
		try {
			final String txt = get();
			return txt == null ? EMPTY : txt.getBytes("utf-8");
		} catch (final UnsupportedEncodingException e) {
			throw new RuntimeException(e);
		}
	}

	protected abstract String get();
}
